variables:
  IMAGE: eu.gcr.io/adam-akka/doom-engine

build-deploy:
  script:
  - docker build -t $IMAGE:$CI_COMMIT_SHA .
  - docker push $IMAGE:$CI_COMMIT_SHA
  - kubectl set image deployments/doom-engine doom-engine=$IMAGE:$CI_COMMIT_SHA -n brocode